# sqflitecon

An interface for manage [sqflite](https://github.com/tekartik/sqflite) connections.

## Usage

### Setting up

1. Make sure you are using [flutter_dotenv](https://github.com/java-james/flutter_dotenv) right.
2. Include the `DATABASE_PATH` variable to your `.env` file with the path of your [sqflite](https://github.com/tekartik/sqflite) database.

### Getting connection

To get a connection instance you can use:

```dart
import 'package:sqflitecon/db.dart';

final connection = await DB.getConnetion();
```

or just

```dart
import 'package:sqflitecon/db.dart';

final connection = await databaseConnection();
```

In either case you can enter the same named parameters - like `version`, `onConfigure` - provided by [sqflite](https://github.com/tekartik/sqflite) (see [here](https://github.com/tekartik/sqflite/blob/master/sqflite/doc/opening_db.md#opening-a-database)). An example below.

```dart
import 'package:sqflitecon/db.dart';

final connection = await databaseConnection(
    version: 1,
    onConfigure: onConfigure);
```
